% Symbolic solution of system of nonlinear equations
% Equation1: f(x,y)=x^2-2*x-y+0.5=0
% Equation2: g(x,y)=x^2+4*y^2-4=0
  syms x y
  R1=solve('x^2-2*x-y+0.5=0','x^2+4*y^2-4=0'); 
  R1.x; R1.y;
  X1=double(R1.x), Y1=double(R1.y)
  
  figure(1)
    ezplot('x^2-2*x-y+0.5=0',[-1 3]); grid on
    hold on; ezplot('x^2+4*y^2-4=0');
      plot(X1([1 4]),Y1([1 4]),'or');
    hold off
    title('SYSTEM OF NONLINEAR EQUATIONS')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Equation1: f(x,y)=x^2+y^2-0.2=0
% Equation2: g(x,y)=y^2-x-0.3=0
  R2=solve('x^2+y^2-0.2=0','y^2-x-0.3=0'); 
  R2.x; R2.y;
  X2=double(R2.x), Y2=double(R2.y)
  
  figure(2)
    ezplot('x^2+y^2-0.2=0',[-1 1]); grid on
    hold on; ezplot('y^2-x-0.3=0');
      plot(X2(1:2),Y2(1:2),'or');
    hold off
    title('SYSTEM OF NONLINEAR EQUATIONS')
  
  